labels: EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf

categories:
  frontendEdit:
    label: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:categories.frontendEdit
  frontendEdit.appearance:
    parent: frontendEdit
    label: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:categories.frontendEdit.appearance
  frontendEdit.filter:
    parent: frontendEdit
    label: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:categories.frontendEdit.filter

settings:
  frontendEdit.enabled:
    default: true
    type: bool
    label: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.frontendEdit.enabled
    description: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.description.frontendEdit.enabled
    category: frontendEdit

  frontendEdit.colorScheme:
    default: 'auto'
    type: string
    label: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.frontendEdit.colorScheme
    description: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.description.frontendEdit.colorScheme
    category: frontendEdit.appearance
    enum:
      auto: 'Auto (System)'
      light: 'Light'
      dark: 'Dark'

  frontendEdit.showContextMenu:
    default: true
    type: bool
    label: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.frontendEdit.showContextMenu
    description: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.description.frontendEdit.showContextMenu
    category: frontendEdit.appearance

  frontendEdit.showStickyToolbar:
    default: true
    type: bool
    label: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.frontendEdit.showStickyToolbar
    description: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.description.frontendEdit.showStickyToolbar
    category: frontendEdit.appearance

  frontendEdit.enableOutline:
    default: true
    type: bool
    label: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.frontendEdit.enableOutline
    description: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.description.frontendEdit.enableOutline
    category: frontendEdit.appearance

  frontendEdit.enableScrollToElement:
    default: true
    type: bool
    label: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.frontendEdit.enableScrollToElement
    description: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.description.frontendEdit.enableScrollToElement
    category: frontendEdit.appearance

  frontendEdit.toolbarPosition:
    default: 'bottom-right'
    type: string
    label: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.frontendEdit.toolbarPosition
    description: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.description.frontendEdit.toolbarPosition
    category: frontendEdit.appearance
    enum:
      top-left: 'Top Left'
      top-center: 'Top Center'
      top-right: 'Top Right'
      bottom-left: 'Bottom Left'
      bottom-center: 'Bottom Center'
      bottom-right: 'Bottom Right'
      left-top: 'Left Top'
      left-center: 'Left Center'
      left-bottom: 'Left Bottom'
      right-top: 'Right Top'
      right-center: 'Right Center'
      right-bottom: 'Right Bottom'

  frontendEdit.filter.ignorePids:
    default: ''
    type: string
    label: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.frontendEdit.filter.ignorePids
    description: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.description.frontendEdit.filter.ignorePids
    category: frontendEdit.filter

  frontendEdit.filter.ignoreDoktypes:
    default: ''
    type: string
    label: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.frontendEdit.filter.ignoreDoktypes
    description: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.description.frontendEdit.filter.ignoreDoktypes
    category: frontendEdit.filter

  frontendEdit.filter.ignoreCTypes:
    default: ''
    type: string
    label: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.frontendEdit.filter.ignoreCTypes
    description: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.description.frontendEdit.filter.ignoreCTypes
    category: frontendEdit.filter

  frontendEdit.filter.ignoreListTypes:
    default: ''
    type: string
    label: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.frontendEdit.filter.ignoreListTypes
    description: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.description.frontendEdit.filter.ignoreListTypes
    category: frontendEdit.filter

  frontendEdit.filter.ignoreUids:
    default: ''
    type: string
    label: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.frontendEdit.filter.ignoreUids
    description: LLL:EXT:xima_typo3_frontend_edit/Resources/Private/Language/locallang_sitesettings.xlf:settings.description.frontendEdit.filter.ignoreUids
    category: frontendEdit.filter
